from runtime.model.error_codes_enum import ErrorCodesEnum


class Error:

    def __init__(self, code: ErrorCodesEnum, msg: str):
        self._code = code
        self._msg = code.value.format(msg)

    @property
    def code(self) -> ErrorCodesEnum:
        return self._code

    @property
    def message(self) -> str:
        return self._msg